# # #
module I3D
  require 'sketchup'
  require 'extensions'
  # # #
  module Renamer
    NAME        = 'Renamer'.freeze
    FOLDER_NAME = File.basename(__FILE__)[0...-3].freeze
    DIR         = File.dirname(__FILE__) unless defined?(self::DIR)
    DESCRIPTION = 'Rename groups & components under same tag with tag name or name specified by user.'.freeze
    VERSION     = '1.0.4'.freeze

    if Sketchup.version.to_i >= 16
      MAC = RUBY_PLATFORM =~ /(darwin)/i ? true : false
      WIN = RUBY_PLATFORM =~ /(mswin|mingw)/i ? true : false
    end

    # Register the extension
    unless defined?(@registered)
      extension = SketchupExtension.new(NAME, "#{FOLDER_NAME}/menu")
      extension.description = DESCRIPTION
      extension.version     = VERSION
      extension.copyright   = 'Rafael Rivera © 2023'
      extension.creator     = 'Rafael Rivera'
      Sketchup.register_extension(extension, true)
      @registered = true
    end
  end
end
